com.google.gwt.uibinder.attributeparsers

## Interface FieldReferenceConverter.Delegate

All Known Implementing Classes:
  StrictAttributeParser.FieldReferenceDelegate, StringAttributeParser.FieldReferenceDelegate

Enclosing class:
  FieldReferenceConverter

    static interface FieldReferenceConverter.Delegate

Responsible for the bits around and between the field references. May throw IllegalFieldReferenceException as it sees fit.

### Method Summary

All Methods Instance Methods Abstract Methods
`JType[]` `getTypes()` Returns the types any parsed field references are expected to return.
`java.lang.String` `handleFragment(java.lang.String fragment)` Called for fragment around and between field references.
`java.lang.String` `handleReference(java.lang.String reference)` Called for each expanded field reference, to allow it to be stitched together with surrounding fragments.

### Method Detail

#### getTypes

    JType[] getTypes()

Returns the types any parsed field references are expected to return. Multiple values indicates an overload. E.g., in either a String or a SafeUri is allowed.

#### handleFragment

    java.lang.String handleFragment(java.lang.String fragment)
                             throws FieldReferenceConverter.IllegalFieldReferenceException

Called for fragment around and between field references.

Note that it will be called with empty strings if these surrounding bits are empty. E.g., "{style.enabled} fancy {style.impressive}" would call this method three times, with "", " fancy ", and "".

A string with no field references is treated as a single fragment, and causes a single call to this method.

Throws:
  `FieldReferenceConverter.IllegalFieldReferenceException`

#### handleReference

    java.lang.String handleReference(java.lang.String reference)
                              throws FieldReferenceConverter.IllegalFieldReferenceException

Called for each expanded field reference, to allow it to be stitched together with surrounding fragments.

Throws:
  `FieldReferenceConverter.IllegalFieldReferenceException`